Name:           perl-SVN-Simple
Version:        0.28
Release:        4%{?dist}
Summary:        A simple interface for writing a delta editor
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/SVN-Simple/
Source0:        http://www.cpan.org/modules/by-module/SVN/SVN-Simple-%{version}.tar.gz
# Retrieved from upstream bugtracker:
# http://rt.cpan.org/Ticket/Attachment/716566/369865/deep.diff
# http://rt.cpan.org/Public/Bug/Display.html?id=51087
Patch0:         perl-SVN-Simple-test.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(SVN::Core)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description 
SVN::Simple::Edit wraps the subversion delta editor with
a perl friendly interface and then you could easily drive it for
describing changes to a tree. A common usage is to wrap the commit
editor, so you could make commits to a subversion repository easily.

%prep
%setup -q -n SVN-Simple-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGES README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.28-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun 11 2012 Petr Pisar <ppisar@redhat.com> - 0.28-3
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.28-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Dec 19 2011 Luis Bazán <bazanluis20@gmail.com> - 0.28-1
- Update to new version 0.28

* Wed Jul 20 2011 Petr Sabata <contyk@redhat.com> - 0.27-14
- Perl mass rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.27-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 22 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.27-12
- 661697 rebuild for fixing problems with vendorach/lib

* Thu May 06 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.27-11
- Mass rebuild with perl-5.12.0

* Fri Jan 15 2010 Till Maas <opensource@till.name> - 0.27-10
- Fix FTBS bug: https://bugzilla.redhat.com/show_bug.cgi?id=511729

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.27-9
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.27-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.27-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Mar  6 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.27-6
- rebuild for new perl

* Thu Aug 16 2007 Ian Burrell <ianburrell@gmail.com> - 0.27-5
- Fix BuildRequires

* Mon Sep 11 2006 Ian Burrell <ianburrell@gmail.com> - 0.27-4
- Rebuild for FC6

* Wed Jun 28 2006 Ian Burrell <ianburrell@gmail.com> - 0.27-3
- Add buildrequires on SVN::Core

* Tue Jun 27 2006 Ian Burrell <ianburrell@gmail.com> - 0.27-2
- Fix rpmlint warnings

* Thu Mar 30 2006 Ian Burrell <ianburrell@gmail.com> 0.27-1
- Specfile autogenerated by cpanspec 1.64.
